Subject: Re: [rtcweb] HIP option for draft-ietf-rtcweb-overview and which ICE?

From: Henry Sinnreich <[email-masked]>
Date: Thu, 29 Sep 2011 17:04:00 -0500

> Having an 18-page ICE draft rather than the complete > 100 page ICE spec
> to read was refreshing. I don't think any new technology was described
> here; it's mostly explanation on how to think about ICE.

http://tools.ietf.org/html/draft-rosenberg-mmusic-ice-nonsip-01

Yes, the draft helps when thinking of one end supporting SIP and the other
end supporting some other signaling protocol, such as Jingle/XMPP.
This may be relevant in the scenario including two web sites supporting
different protocols or protocol implementations (hint, now more)  :-)
The high level solution seems also reasonable, as proposed in Figure 2:
"Ideal Multi Protocol ICE Architecture"

Unless I have missed something, this scenario has not been discussed as it
relates to ICE and seems critical for interoperability.
But hopefully it will be addressed in a separate I-D as you have mentioned.

Thanks, Henry

On 9/29/11 4:42 PM, "Harald Alvestrand" <[email-masked]> wrote:

> On 09/29/2011 10:49 PM, Henry Sinnreich wrote:
>>> I'm having a hard time finding this draft. do you have a pointer...
>> Sorry, my shortened link was not inaccurate. It is
>> http://tools.ietf.org/html/draft-rosenberg-mmusic-ice-nonsip-01
>> 
>> I don't know if/how MMUSIC has pursued this topic.
>> Does anyone? Jonathan?
> Having an 18-page ICE draft rather than the complete > 100 page ICE spec
> to read was refreshing. I don't think any new technology was described
> here; it's mostly explanation on how to think about ICE.
> 
> My personal view is that the draft does not go far enough in the
> separation of concerns for maximum readability; there are two concerns
> when using ICE as part of a protocol suite:
> 
> - Whether ICE setup information can be exchanged between the endpoints.
> This is a matter dealt with in SIP and Jingle, but could equally well be
> done by writing to/reading from an Oracle database or exchanging slips
> of paper with IP addresses on them on a parkbench at midnight (just to
> be melodramatic).
> 
> - Whether ICE messages can be used safely, and reliably separated from
> payload messages on the media link. This is a matter that concerns RTP,
> SCTP, DTLS and so on.
> 
> Those two things are very separable concerns, and if the authors had
> desired, they could have been treated in completely separate documents.
> It might have made the packet easier to digest.
> 
>                 Harald
> 
> 
>> Henry
>> 
>> 
>> On 9/29/11 3:27 PM, "Cullen Jennings"<[email-masked]>  wrote:
>> 
>>> On Sep 28, 2011, at 4:59 PM, Henry Sinnreich wrote:
>>> 
>>>> The draft-rosenberg-mmusic-ice-nosip from 2009 explains these issues,
>>>> including the fact that not all protocols can use ICE.
>>> I'm having a hard time finding this draft. do you have a pointer...
>>> 
>>> 
>> 
>> 
>